#include "burnimageisoitem.h"
#include "ui_burnimageisoitem.h"

BurnImageISOItem::BurnImageISOItem(QString path, QWidget *parent) :
    QWidget(parent),
    ui(new Ui::BurnImageISOItem)
{
    this->setObjectName("kylin-burner_BurnImageISOItem");
    QFont f;
    ui->setupUi(this);
    ui->label->setAccessibleName("kylin-burner_QLabel_BurnImageISOItem_label");
    ui->pushButton->setAccessibleName("kylin-burner_QPushButton_BurnImageISOItem_pushButton");
    f = ui->label->font();
    f.setPixelSize(14);
    ui->label->setText(path);
    setToolTip(path);
    ui->label->setFont(f);
    ui->pushButton->setIcon(QIcon::fromTheme("window-close-symbolic"));
    ui->pushButton->setProperty("isWindowButton", 0x2);
    ui->pushButton->setProperty("useIconHighlightEffect", 0x8);
    ui->pushButton->hide();
}

BurnImageISOItem::~BurnImageISOItem()
{
    delete ui;
}

void BurnImageISOItem::setText(QString path)
{
    ui->label->setText(path);
}

QFont BurnImageISOItem::getFont()
{
    return ui->label->font();
}
